std::make_error_condition(std::io_errc)(3)

NAME
std::make_error_condition(std::io_errc) - std::make_error_condition(std::io_errc)

Synopsis
   Defined in header <ios>
   std::error_condition make_error_condition( std::io_errc e ) noexcept; (since C++11)
   Constructs an std::error_condition object from a value of type std::io_errc as if by
   return std::error_condition(static_cast<int>(e), std::iostream_category()).

Parameters
   e - error code number

Return value
   A value of type std::error_condition that holds the error code number from e
   associated with the error category "iostream".

Example
// Run this code
 #include <iostream>
 #include <system_error>
 #include <string>
 int main()
 {
     std::error_condition ec = std::make_error_condition(std::io_errc::stream);
     std::cout << "error condition for io_errc::stream has value " << ec.value()
               << "\nand message \"" << ec.message() << "\"\n";
 }

Output:
 error condition for io_errc::stream has value 1
 and message "unspecified iostream_category error"

See also
   error_condition holds a portable error code
   (C++11) (class)
   io_errc the IO stream error codes
   (C++11) (enum)